Subject: Potential bug in gitweb 1.7.2

From: Julio Lajara <[email-masked]>
Date: Mon, 26 Jul 2010 00:55:06 -0400

Hi all, I recently had git/gitweb (1.7.0.4) setup on my Ubuntu 10.04 box 
and decided to add ppa:git-core/ppa to get up to 1.7.2. After I did so, 
my previously working gitweb stopped functioning and only shows a blank 
page. Im using apache/cgi and the following error is what I found in my 
apache error log:

[Sat Jul 24 23:11:41 2010] [error] [client 192.168.1.100] Can't call 
method "http" on an undefined value at /usr/share/gitweb/index.cgi line 
3401., referer: http://192.168.1.142/gitweb/

 From the latest source:
cat -n gitweb.perl | grep 3401
   3401        if (defined $cgi->http('HTTP_ACCEPT') &&

Thanks,